require_relative "../lib/dhl-ecommerce"

require "bundler/setup"
require "rspec"
require "vcr"
require "webmock/rspec"

RSpec.configure do |c|
  c.after :suite do
    VCR.eject_cassette
  end
  c.before :suite do
    VCR.insert_cassette "api.dhlglobalmail.com"
  end
  c.order = :random
end

VCR.configure do |c|
  c.cassette_library_dir = "spec/cassettes"
  c.configure_rspec_metadata!
  c.default_cassette_options = {
    allow_playback_repeats: true,
    record: :new_episodes
  }
  c.filter_sensitive_data('<ACCESS_TOKEN>') { DHL::Ecommerce.access_token }
  c.filter_sensitive_data('<CLIENT_ID>') { DHL::Ecommerce.client_id }
  c.filter_sensitive_data('<PASSWORD>') { DHL::Ecommerce.password }
  c.filter_sensitive_data('<USERNAME>') { DHL::Ecommerce.username }
  c.hook_into :webmock
end

# TODO Remove this and add instruction to use environment variables for testing.
DHL::Ecommerce.configure do |c|
  c.access_token = "sP0WTuBUBte2N1UzcBy0ZQOjAptsjXKvnavkx43Nyzk+bQPTF80+nJiYoEWCdFQUQQW3wv4jQx8WNrGd2JEAEXYSrip77np4F7X2icSxAgorjRdabr7d1jjktOI1Z4487KpkdJes+I4byatWZRX7Uig7v/VTsztthTk8IUrWowttiEBQnw0/NjRe4drp3mFAzlzrOYtroRjZ13eqE6l+nQ=="
  c.client_id = 27178
end
